
<?- include('./../../partials/header') -?>
<style>
    .control-group {
      display: block;
    }
    button.btn.btn-success.add-more,button.btn.btn-danger.remove{

        float:right;
        margin-top: 10px;
        margin-bottom: 10px;

    }.padding_text{
        margin-top: 10px;
    }.clear_space{
        visibility: hidden;
    }
    #qty,#price,#total {

        display: block;
        width: 100%;
        padding: 0.375rem 0.75rem;
        font-size: 0.9375rem;
        line-height: 1.6;
        color: #6b6f80;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid rgba(67, 87, 133, .2);
        border-radius: 3px;
        transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    }
    
</style>
<div class="page">
    <div class="page-main">
       
        <?- include('./../../partials/nav') -?>
      
        <!-- Horizontal-menu end -->

        <div class="app-content page-body">
            <div class="container">

                
                <div class="row">
                    <div class="col-lg-12 col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">เพิ่มรายการสั่งซื้อ</h3>
                                <div class="card-options ">
                                    <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
                                    <a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
                                </div>
                            </div>
                            <div class="card-body">
                                <form class="form-horizontal contentForm" data-validate="parsley" action="/orders/add/" method="POST" enctype="multipart/form-data">

                                

                                 <div class="form-group">
                                    <label class="form-label">ตัวแทน</label>
                                    <select class="span10 parsley-validated form-control" name="warehourse">
                                        <option value="0">เลือกตัวแทน</option>
                                        <option value="1">seller1</option>
                                        <option value="2">seller2</option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label class="form-label">สินค้า</label>
                                    <div class="control-group after-add-more">
                                            <select class="span10 parsley-validated form-control all_product1" name="name_product[]" data-price="200">
                                                <option value="0">เลือกสินค้า</option>
                                             <? 
                                                    if(data.rowCount > 0){
                                                            var all_data = data.rows;
                                                        for(var item in all_data) { 
                                                            //console.log('data=',all_data[item].product_id)

                                                            ?> 
                                                            <option value="<?= all_data[item].product_id ?>" data-price="<?= all_data[item].product_price?>"><?= all_data[item].product_name?></option>
                                                            <? 
                                                        }
                                                            
                                                    }
                                               
                                             ?>    
                                            </select>
                                       
                                            <label class="form-label padding_text">จำนวนสินค้า</label>  <input type="text" name="qty_product[]" id="qty1" class="form-control qty_press_1" data-id="1" placeholder="จำนวนสินค้า" onkeypress="return isNumber(event)" value="1">
                                            <label class="form-label padding_text">ราคาสินค้า/ชิ้น</label> <input type="text" name="price_product_one[]" class="form-control price_by_product" data-id="1" placeholder="ราคาสินค้า/ชิ้น" readonly value="1">
                                            <label class="form-label padding_text">ราคารวมสินค้า</label>  <input type="text" name="price_product[]" id="total2" class="form-control total_press_1" data-id="1" placeholder="ราคารวมสินค้า" readonly value="0">
                                        <div class="input-group-btn"> 
                                        <button class="btn btn-success add-more" type="button"> Add</button>
                                        </div>
                                        <label class="clear_space">สินค้า</label>
                                    </div>

                                  
                                    <div class="copy hide">
                                       
                                        <div class="control-group" >
                                            <label class="form-label">สินค้า</label>
                                            <select class="span10 parsley-validated form-control all_product" name="name_product[]" id="select_product">
                                                <option value="0">เลือกสินค้า</option>
                                            <? 
                                                    if(data.rowCount > 0){
                                                            var all_data = data.rows;
                                                        for(var item in all_data) { 
                                                            //console.log('data=',all_data[item].product_id)
                                                            ?> 
                                                            <option value="<?= all_data[item].product_id ?>" data-price="<?= all_data[item].product_price?>"><?= all_data[item].product_name?></option>
                                                            <? 
                                                        }
                                                    }
                                             ?>    
                                            </select>
                                            <label class="form-label padding_text">จำนวนสินค้า</label> <input type="text" name="qty_product[]" id="qty" class="form-control qty_by_product_more" placeholder="จำนวนสินค้า" onkeypress="return isNumber(event)" value="1">
                                            <label class="form-label padding_text">ราคาสินค้า/ชิ้น</label> <input type="text" name="price_product_one[]" id="price" class="form-control price_by_product_more"  placeholder="ราคาสินค้า/ชิ้น" readonly value="1">
                                            <label class="form-label padding_text">ราคารวมสินค้า</label> <input type="text" name="price_product[]" id="total" class="form-control total_by_product_more" placeholder="ราคารวมสินค้า" readonly value="0">
                                            <div class="input-group-btn"> 
                                                <button class="btn btn-danger remove" type="button" > Remove</button>
                                            </div>
                                        </div>
                                        <label class="clear_space">สินค้า</label>
                                    </div>
                                </div>
                                    
                                  
                                <div class="form-group">
                                    <label class="form-label">ราคารวมสุทธิ </label>
                                    <input type="text" class="span10 parsley-validated form-control" placeholder="ราคารวมสุทธิ" id="product_price" name="total_price" data-validation-minlength="0" data-trigger="change" data-required="true" data-minlength="4" readonly value="0">
                                </div>

                                <div class="form-group">
                                    <label class="form-label">สถานะ</label>
                                    <select class="span10 parsley-validated form-control" name="order_status">
                                        <option value="0">เลือกสถานะ</option>
                                            <?
                                            console.log('data_status',data_status)
                                             
                                                            
                                                        for(var item in data_status) { 
                                                            ?>
                                                        <option value="<?= data_status[item].order_status_id?>"><?= data_status[item].order_status_name?></option>
                                                        
                                                        <?
                                                        }
                                                        
                                            ?>
                                    </select>
                                </div>
                               
                                <div class="formFooter">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                    <button type="reset" class="btn">Reset</button>
                                </div>
                            </form>

                            </div>
                        </div>
                    </div>
                   
                </div>
                <!-- End Row -->

             

            </div>
        </div><!-- end app-content-->
    </div>

    <?- include('./../../partials/footer') -?>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script>

            var pad = (function(num) {
            return function() {
                var str = String(num++);
                while (str.length < 5) str = "0" + str;
                return 'INV'+str;
            }
            })(1); 


            function isNumber(evt) {
                evt = (evt) ? evt : window.event;
                var charCode = (evt.which) ? evt.which : evt.keyCode;
                if (charCode > 31 && (charCode < 48 || charCode > 57)) {
                    return false;
                }
                return true;
            }

            function calculate(){

                                var sum_total = 0;
                                var total_first = $('#total2').val()

                                $('.contentForm #total').each(function(){
                                    if(!isNaN($(this).val())){

                                        sum_total += parseInt($(this).val()) 
                                        
                                    }else{

                                        sum_total = 0 ;
                                    }
                                    
                                    if(sum_total > 0){

                                        var final_sum = sum_total + parseInt(total_first) 

                                        $('#product_price').val(final_sum)
                                        //console.log('sum_total',$('#total2').val(),' ',final_sum)
                                    }
                                    
                                    /* console.log('sum_total',$(this).val(),' ',sum_total) */
                                });
            }


       

       
       
        $(function() {

                
                $(".all_product1").change(function(){ 
                    console.log('google')
                    //console.log('price of product--',$(this).find(':selected').data('price'))
                    $('.price_by_product').val($(this).find(':selected').data('price'))
                    $('#total2').val($('#qty1').val()*$('.price_by_product').val())
                    $('#product_price').val($('#qty1').val()*$('.price_by_product').val())
                    calculate()
                });

                $("#qty1").keyup(function(){ 
                    $('#total2').val($(this).val()*$('.price_by_product').val())
                    $('#product_price').val($('#qty1').val()*$('.price_by_product').val())
                    calculate()
                });

               
                $('.hide').hide()
                var sum = 1;

              
                $(".add-more").click(function(){ 

                    sum += 1;
                    var html = $(".copy").html();
                   
                        $(".after-add-more").after(html);
                        $('#select_product').attr('data-id', sum);
                        $('#qty').attr('data-id',sum)
                        $('#qty').attr('class', 'qty_by_product_more_'+sum)
                        $('#price').attr('class', 'price_by_product_more_'+sum)
                        $('#total').attr('class', 'total_by_product_more_'+sum)
                        $("#qty").keyup(function(){ 
                           
                            let data_id = $(this).data('id');
                            let price = $('.price_by_product_more_'+data_id).val();
                            let total_price = $(this).val() * price;
                            $('.total_by_product_more_'+data_id).val(total_price)
                            calculate()
                        });
                        

                        $(".all_product").change(function(){ 

                             let data_id = $(this).data('id');
                            $('.price_by_product_more_'+data_id).val($(this).find(':selected').data('price'))
                            let qty_product = $('.qty_by_product_more_'+data_id).val() ;
                            console.log('qtyyy',data_id)
                            $('.total_by_product_more_'+data_id).val(qty_product * $(this).find(':selected').data('price'))
                            calculate()

                        });

                       
                });


                $("body").on("click",".remove",function(){ 
                    $(this).parents(".control-group").remove();
                    console.log('remove btn')
                    calculate()
                });

        });
        </script>

</div>